<x-app-layout>
    <x-slot name="header">Task Management Page</x-slot>

    <div class="tasks-container">
        <h1>Task List</h1>

        <div class="action-bar">
            <button onclick="document.getElementById('createForm').classList.toggle('hidden')" class="create-button">
                + Create New Task
            </button>
        </div>

        <div id="createForm" class="form-section hidden">
            <form action="{{ route('admin.tasks.store') }}" method="POST">
                @csrf
                <div class="form-grid">
                    <div class="form-group">
                        <label>Project</label>
                        <select name="project_id" required>
                            @foreach($projects as $project)
                                <option value="{{ $project->id }}">{{ $project->name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label>Task Title</label>
                        <input type="text" name="title" required>
                    </div>
                    <div class="form-group full-width">
                        <label>Task Description</label>
                        <textarea name="description" rows="3" required></textarea>
                    </div>
                    <div class="form-group">
                        <label>Status</label>
                        <input type="text" name="status" placeholder="e.g.pending, in-progress,completed" required>
                    </div>
                    <div class="form-group">
                        <label>Priority</label>
                        <input type="text" name="priority" placeholder="e.g. low, medium, high" required>
                    </div>
                    <div class="form-group">
                        <label>Due Date</label>
                        <input type="datetime-local" name="due_date" required>
                    </div>
                    <div class="form-group">
                        <label>Created By</label>
                        <select name="created_by" required>
                            @foreach($users as $user)
                                <option value="{{ $user->id }}">{{ $user->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <button type="submit" class="submit-button">Create Task</button>
            </form>
        </div>

        <table class="task-table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Project</th>
                    <th>Task Title</th>
                    <th>Task Description</th>
                    <th>Status</th>
                    <th>Priority</th>
                    <th>Due Date</th>
                    <th>Created By</th>
                    <th>Assign Task To The User</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($tasks as $task)
                <tr>
                    <td>{{ $task->id }}</td>
                    <td>{{ $task->project->name }}</td>
                    <td>{{ $task->title }}</td>
                    <td>{{ Str::limit($task->description, 50) }}</td>
                    <td>{{ $task->status }}</td>
                    <td>{{ $task->priority }}</td>
                    <td>{{ $task->due_date }}</td>
                    <td>{{ $task->creator->name }}</td>
                    <td>
                        @if ($task->assignedUsers->isNotEmpty())
                            @foreach ($task->assignedUsers as $user)
                                <span>{{ $user->name }}</span><br>
                            @endforeach
                        @else
                            <form action="{{ route('admin.tasks.assign', $task->id) }}" method="POST">
                                @csrf
                                <select name="assigned_users[]" multiple required>
                                    @foreach($users as $user)
                                        <option value="{{ $user->id }}">{{ $user->name }}</option>
                                    @endforeach
                                </select>
                                <button type="submit" class="submit-button">Assign Task</button>
                            </form>
                        @endif
                    </td>

                </tr>
                @endforeach
            </tbody>
        </table>

    </div>
</x-app-layout>
